Lavalite package that provides homepage management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/homepage`.

    "litecms/homepage": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Homepage\Providers\HomepageServiceProvider::class,

And also add it to alias

    'Homepage'  => Litecms\Homepage\Facades\Homepage::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\Homepage\\Seeders\\HomepageTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Homepage\Providers\HomepageServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Homepage\Providers\HomepageServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Homepage\Providers\HomepageServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/homepage/{modulename}

**User**

    http://path-to-route-folder/user/homepage/{modulename}

**Public**

    http://path-to-route-folder/homepages


### API endpoints

**List**

    http://path-to-route-folder/api/user/homepage/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/homepage/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/homepage/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/homepage/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/homepage/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/homepage/{modulename}/{slug}
    METHOD: GET