<?php

namespace Litecms\Homepage\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Carousel policy
        \Litecms\Homepage\Repositories\Eloquent\CarouselRepository::class 
        => \Litecms\Homepage\Policies\CarouselPolicy::class,// Bind Catalog policy
        \Litecms\Homepage\Repositories\Eloquent\CatalogRepository::class 
        => \Litecms\Homepage\Policies\CatalogPolicy::class,// Bind NewsAndPress policy
        \Litecms\Homepage\Repositories\Eloquent\NewsAndPressRepository::class 
        => \Litecms\Homepage\Policies\NewsAndPressPolicy::class,// Bind Promo policy
        \Litecms\Homepage\Repositories\Eloquent\PromoRepository::class 
        => \Litecms\Homepage\Policies\PromoPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
