<?php

namespace Litecms\Homepage\Repositories\Eloquent;

use Litecms\Homepage\Interfaces\CarouselRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Homepage\Repositories\Eloquent\Presenters\CarouselItemPresenter;


class CarouselRepository extends BaseRepository implements CarouselRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.homepage.carousel.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.homepage.carousel.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return CarouselItemPresenter::class;
    }
}
