<?php

namespace Litecms\Homepage\Repositories\Eloquent;

use Litecms\Homepage\Interfaces\PromoRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\Homepage\Repositories\Eloquent\Presenters\PromoItemPresenter;


class PromoRepository extends BaseRepository implements PromoRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.homepage.promo.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.homepage.promo.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return PromoItemPresenter::class;
    }
}
